<div *ngIf="state" class="app-modal d-flex justify-content-center" [ngClass]="size">
    <div class="app-modal-wrapper d-flex flex-column">
        <div class="app-modal-header d-flex">
            <div class="d-flex font-bold-23">
                <ng-content select="[headerTitle]"></ng-content>
            </div>
            <ng-content select="[headerContent]"></ng-content>
            <div class="d-flex close-btn ml-auto" (click)="close()">
                <i class="icon-modal-close"></i>
            </div>
        </div>
        <div class="app-modal-body">
            <ng-content select="[body]"></ng-content>
        </div>
        <div class="app-modal-footer d-flex justify-content-end">
            <ng-content select="[footer]"></ng-content>
        </div>
    </div>

</div>